﻿using Microsoft.EntityFrameworkCore;
using SeedSingleStore.Data;

SalesContext salesContext = new SalesContext();

//await salesContext.Database.EnsureDeletedAsync(); // optional 
await salesContext.Database.EnsureCreatedAsync();

await salesContext.SeedAsync(10);

foreach (var product in salesContext.Products)
{
    Console.WriteLine(product);
}
Console.WriteLine($"Total rows {await salesContext.Products.CountAsync()}");
